Package Base Details: xen

Git Clone URL: https://aur.archlinux.org/xen.git (read-only)
Keywords: hypervisor virtualization xen
Submitter: sergej
Maintainer: mbroemme
Last Packager: mbroemme
Votes: 178
Popularity: 0.031816
First Submitted: 2009-11-09 11:22
Last Updated: 2019-04-29 22:03

Packages (2)

Latest Comments

« First ‹ Previous ... 73 74 75 76 77 78 79 80 81 82 83 ... Next › Last »

robertfoster commented on 2011-08-28 01:32

try to use gcc and not gcc-multilib

hollunder commented on 2011-08-27 19:04

fails to build with:
/usr/lib/gcc/x86_64-unknown-linux-gnu/4.6.1/cc1: error while loading shared libraries: libcloog-isl.so.1: cannot open shared object file: No such file or directory

Anonymous comment on 2011-08-24 20:28

building also requires iasl.

robertfoster commented on 2011-08-23 00:21

added ocaml-findlib as makedep

nikin commented on 2011-08-18 00:26

I could not get this to work in a 32bit enviroment.
It fails to find the root partition. regardless of kernel used.
tested with plain ext3, with md, with LVM, and with md+LVM(which is the planned use)
Using the same package on 64 bit is fine.
Booting the xen patched kernels without the hypervisor on 32 bit works fine.
I was last trying the package on the 8th of august. But my only test machine is
a production machine. So if you could test this, i would really aprechiate it.
I know that nowdays the base is to use 64 bit. But i have some older machines that
i would like to switch to arch, which are 32bit only.

bests

Anonymous comment on 2011-08-17 08:30

when compiling the package,the error message comes to me:
ocamlfind: Command not found......

finally i find the problem:
make-depends is not right.
ocaml or ocaml-findlib is needed!

grossws commented on 2011-08-16 08:47

1) iasl should be in make-depends

2) what's about vanilla 3.0.1 kernel?
$zcat /proc/config.gz | grep XEN :
CONFIG_XEN=y
CONFIG_XEN_DOM0=y
CONFIG_XEN_PRIVILEGED_GUEST=y
CONFIG_XEN_PVHVM=y
CONFIG_XEN_MAX_DOMAIN_MEMORY=128
CONFIG_XEN_SAVE_RESTORE=y
# CONFIG_XEN_DEBUG_FS is not set
# CONFIG_XEN_DEBUG is not set
CONFIG_PCI_XEN=y
CONFIG_XEN_PCIDEV_FRONTEND=m
CONFIG_XEN_BLKDEV_FRONTEND=m
CONFIG_XEN_BLKDEV_BACKEND=m
CONFIG_NETXEN_NIC=m
CONFIG_XEN_NETDEV_FRONTEND=m
CONFIG_XEN_NETDEV_BACKEND=m
CONFIG_INPUT_XEN_KBDDEV_FRONTEND=m
CONFIG_HVC_XEN=y
CONFIG_XEN_WDT=m
CONFIG_XEN_FBDEV_FRONTEND=m
CONFIG_XEN_BALLOON=y
CONFIG_XEN_SCRUB_PAGES=y
CONFIG_XEN_DEV_EVTCHN=m
CONFIG_XEN_BACKEND=y
CONFIG_XENFS=m
CONFIG_XEN_COMPAT_XENFS=y
CONFIG_XEN_SYS_HYPERVISOR=y
CONFIG_XEN_XENBUS_FRONTEND=m
CONFIG_XEN_GNTDEV=m
CONFIG_XEN_GRANT_DEV_ALLOC=m
CONFIG_XEN_PLATFORM_PCI=m
CONFIG_SWIOTLB_XEN=y

Anonymous comment on 2011-08-15 23:18

After discussing the problem with people who know more than I've come to the conclusion that the problem is this line
-----
[ "$CARCH" == "x86_64" ] && depends=(${depends} 'lib32-glibc')
-----
This line is incorrect, since it only takes the first unit, should be changed depends on depends [@]
After correcting the line would look like:
----
[ "$CARCH" == "x86_64" ] && depends=(${depends[@]} 'lib32-glibc')
----

Thx Exio #Archlinux-es, freenode :-P

Anonymous comment on 2011-08-15 22:35

Dependences problem:
yaourt -S xen

==> Edit PKGBUILD ? [Y/n] ("A" to abort)
==> ------------------------------------
==> n

==> xen dependencies:
- xz-utils (already installed)
- lib32-glibc (package found)
- dev86 (package found)


==> Continue building xen ? [Y/n]
-------

yaourt -Si xen | grep Depends
Depends On : xz-utils bzip2 iproute bridge-utils python2 sdl zlib e2fsprogs bin86 pkgconfig iasl gnutls lzo2 glibc

Only takes first dependence.
I do not know what is wrong, but other similar packages are working properly.

Anonymous comment on 2011-08-12 14:05

Day 09/08/2011 build xen perfectly from yaourt.
Day 12/08/2011 after pacman upgrade yaourt don't recongnize all dependences, only first dependence.
If I change depends =('dep1' 'dep2') to depends =('dep1 dep2') works well.

I don't know is a pkgbuild, yaourt or pacman problem.